Submit Order
curl --request POST \
--url https://api.decodahealth.com/lab/order/{order_id}/submit \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"labTestIds": [
"<string>"
],
"markerIds": [
123
],
"icdCodes": [
"<string>"
],
"clinicalNotes": "<string>",
"physicianFirstName": "<string>",
"physicianLastName": "<string>",
"physicianNpi": "<string>",
"physicianMode": "<string>",
"priority": false,
"pscName": "<string>",
"pscAddress": "<string>",
"labSlug": "<string>",
"labName": "<string>",
"labAccountId": "<string>",
"aoeAnswers": [
{
"markerId": 123,
"questionId": 123,
"answer": "<string>"
}
],
"patientDetails": {},
"patientAddress": {},
"physicianId": "<string>",
"items": [
{
"vendorCatalogId": "<string>",
"displayName": "<string>",
"isStripped": false,
"sourcePresetId": "<string>"
}
],
"isDraft": false
}
'import requests
url = "https://api.decodahealth.com/lab/order/{order_id}/submit"
payload = {
"labTestIds": ["<string>"],
"markerIds": [123],
"icdCodes": ["<string>"],
"clinicalNotes": "<string>",
"physicianFirstName": "<string>",
"physicianLastName": "<string>",
"physicianNpi": "<string>",
"physicianMode": "<string>",
"priority": False,
"pscName": "<string>",
"pscAddress": "<string>",
"labSlug": "<string>",
"labName": "<string>",
"labAccountId": "<string>",
"aoeAnswers": [
{
"markerId": 123,
"questionId": 123,
"answer": "<string>"
}
],
"patientDetails": {},
"patientAddress": {},
"physicianId": "<string>",
"items": [
{
"vendorCatalogId": "<string>",
"displayName": "<string>",
"isStripped": False,
"sourcePresetId": "<string>"
}
],
"isDraft": False
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
labTestIds: ['<string>'],
markerIds: [123],
icdCodes: ['<string>'],
clinicalNotes: '<string>',
physicianFirstName: '<string>',
physicianLastName: '<string>',
physicianNpi: '<string>',
physicianMode: '<string>',
priority: false,
pscName: '<string>',
pscAddress: '<string>',
labSlug: '<string>',
labName: '<string>',
labAccountId: '<string>',
aoeAnswers: [{markerId: 123, questionId: 123, answer: '<string>'}],
patientDetails: {},
patientAddress: {},
physicianId: '<string>',
items: [
{
vendorCatalogId: '<string>',
displayName: '<string>',
isStripped: false,
sourcePresetId: '<string>'
}
],
isDraft: false
})
};
fetch('https://api.decodahealth.com/lab/order/{order_id}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"patientId": "<string>",
"internalStatus": "<string>",
"origin": "<string>",
"labOrderSessionId": "<string>",
"vendorOrderId": "<string>",
"vendorTransactionId": "<string>",
"vendorStatus": "<string>",
"labSlug": "<string>",
"labName": "<string>",
"errorMessage": "<string>",
"icdCodes": [
"<string>"
],
"clinicalNotes": "<string>",
"physicianFirstName": "<string>",
"physicianLastName": "<string>",
"physicianNpi": "<string>",
"physicianMode": "<string>",
"priority": "<string>",
"pscName": "<string>",
"pscAddress": "<string>",
"labAccountId": "<string>",
"labTestName": "<string>",
"sampleType": "<string>",
"fasting": "<string>",
"labAddress": "<string>",
"sampleId": "<string>",
"createdDate": "<string>",
"updatedDate": "<string>",
"resultsViewedAt": "<string>",
"locationId": "<string>",
"physicianId": "<string>",
"creatorId": "<string>",
"events": [],
"items": [],
"aoeAnswers": [],
"results": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Labs
Submit Order
POST
/
lab
/
order
/
{order_id}
/
submit
Submit Order
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
Available options:
walk_in_test, at_home_phlebotomy, testkit, on_site_collection Available options:
client_bill, commercial_insurance, patient_bill, patient_bill_passthrough Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Available options:
walk_in_test, at_home_phlebotomy, testkit, on_site_collection Available options:
client_bill, commercial_insurance, patient_bill, patient_bill_passthrough Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
